import React from "react"

// helper
const text = text => {
  return (
    <p>
      {text.split("\n").map((line, key) => {
        return (
          <span key={key}>
            {line}
            <br />
          </span>
        )
      })}
    </p>
  )
}

const mail = (mail, name) => {
  const text = name ? name : mail
  return <a href={`mailto:${mail}`}>{text}</a>
}

// all the data
const PublicMail = () => mail("presse@chaostreff-dortmund.de")
const AbuseMail = () => mail("abuse@chaostreff-dortmund.de")
const WebmasterMail = () => mail("webmaster@chaostreff-dortmund.de")
const PostmasterMail = () => mail("postmaster@chaostreff-dortmund.de")
const ChairpersonMail = () => mail("vorstand@chaostreff-dortmund.de")
const MailinglistMail = () => mail("discuss@lists.chaostreff-dortmund.de")
const DonationMail = () => mail("spenden@chaostreff-dortmund.de")
const Address = () =>
  text(
    `Chaostreff Dortmund e.V.
Braunschweiger Str. 22
44145 Dortmund
Deutschland`
  )
const Phone = () => "+49 (0)231 8 404 777"
const Fax = () => "+49 (0)231 8 404 779"
const BankAccount = () =>
  text(
    `Empfänger: Chaostreff Dortmund e.V.
IBAN: DE19 4306 0967 4009 3686 00
BIC: GENODEM1GLS`
  )
const Chairperson1 = () => "Tim Windelschmidt (1. Vorsitzender)"
const Chairperson2 = () => "Stefan Hausschild (2. Vorsitzender)"
const Chairperson3 = () => "Jan Münch (Kassenwart)"

export {
  PublicMail,
  AbuseMail,
  WebmasterMail,
  PostmasterMail,
  ChairpersonMail,
  MailinglistMail,
  DonationMail,
  Address,
  Phone,
  Fax,
  BankAccount,
  Chairperson1,
  Chairperson2,
  Chairperson3,
}
