import React from "react"
import footerStyles from "./footer.module.css"
import { Link } from "gatsby"

export default ({ editLink }) => (
  <footer className={footerStyles.footer}>
    <div className={footerStyles.footerContent}>
      {editLink ? (
        <a
          className={footerStyles.footerItem}
          href={editLink}
          target="_blank"
          rel="noopener noreferrer"
        >
          Seite bearbeiten
        </a>
      ) : null}
      <Link className={footerStyles.footerItem} to="/impressum/">
        Impressum
      </Link>
      <Link className={footerStyles.footerItem} to="/datenschutz/">
        Datenschutzerklärung
      </Link>
    </div>
  </footer>
)
